Get a list of transport lanes
curl --request GET \
--url https://app.variable.global/api/v1/transport/lane \
--header 'Authorization: Bearer <token>'{
"count": 1500,
"page": 1,
"pageSize": 100,
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"totalKm": 6042.3,
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"CO2ePerTkm": "0.0412",
"legs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 1,
"mode": "truck",
"origin": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"googleMapsId": "ChIJA4UGSG_xNIgRNBuiWqEV-Y0",
"name": "Newark, NJ, USA",
"countryCode": "US",
"latitude": 40.7357,
"longitude": -74.1724
},
"destination": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"googleMapsId": "ChIJA4UGSG_xNIgRNBuiWqEV-Y0",
"name": "Newark, NJ, USA",
"countryCode": "US",
"latitude": 40.7357,
"longitude": -74.1724
},
"distance": {
"quantity": 18.4,
"unit": "kg"
},
"CO2ePerTkm": "0.1083"
}
]
}
]
}Transport Lane
List Transport Lanes
Get a list of transport lanes
GET
/
v1
/
transport
/
lane
Get a list of transport lanes
curl --request GET \
--url https://app.variable.global/api/v1/transport/lane \
--header 'Authorization: Bearer <token>'{
"count": 1500,
"page": 1,
"pageSize": 100,
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Name",
"created": "2021-01-01T00:00:00.000Z",
"updated": "2021-01-31T23:59:59.000Z",
"syncId": "sync123",
"totalKm": 6042.3,
"taxonomy": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Material",
"path": "material"
},
"CO2ePerTkm": "0.0412",
"legs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 1,
"mode": "truck",
"origin": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"googleMapsId": "ChIJA4UGSG_xNIgRNBuiWqEV-Y0",
"name": "Newark, NJ, USA",
"countryCode": "US",
"latitude": 40.7357,
"longitude": -74.1724
},
"destination": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"googleMapsId": "ChIJA4UGSG_xNIgRNBuiWqEV-Y0",
"name": "Newark, NJ, USA",
"countryCode": "US",
"latitude": 40.7357,
"longitude": -74.1724
},
"distance": {
"quantity": 18.4,
"unit": "kg"
},
"CO2ePerTkm": "0.1083"
}
]
}
]
}⌘I